Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\UserMetadata Class Reference

User metadata criterion handler. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\UserMetadata:

## Public Member Functions
| accept (Criterion $criterion)
| Check if this criterion handler accepts to handle the given criterion. More...
| handle (CriteriaConverter $converter, SelectQuery $query, Criterion $criterion, array $languageSettings)
| Generate query expression for a Criterion this handler accepts. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
| __construct (DatabaseHandler $dbHandler)
| Creates a new criterion handler. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
| getUniqueTableName ()
| Returns a unique table name. More...
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
| $comparatorMap
| $dbHandler

## Detailed Description

User metadata criterion handler.

Definition at line 18 of file Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/UserMetadata.php.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\UserMetadata::accept | ( | Criterion | $criterion | ) |

Check if this criterion handler accepts to handle the given criterion.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler.

Definition at line 27 of file Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/UserMetadata.php.

## ◆ handle()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\UserMetadata::handle | ( | CriteriaConverter | $converter,
|  | SelectQuery | $query,
|  | Criterion | $criterion,
|  | array | $languageSettings
| ) |  |

Generate query expression for a Criterion this handler accepts.

accept() must be called before calling this method.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter | $converter |
  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  array | $languageSettings |

Returns
  \eZ\Publish\Core\Persistence\Database\Expression

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler.

Definition at line 44 of file Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/UserMetadata.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\alias(), eZ\Publish\Core\Persistence\Database\Query\bindValue(), and eZ\Publish\Core\Persistence\Database\Query\subSelect().

The documentation for this class was generated from the following file:

- Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/UserMetadata.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.